# Planning #
This is a complete ruleset rewrite. The intent is to provide a sequal between UFO defense and TFTD with elements from the more recent games mixed in and some other random indeas. Sort of an X-com 1.5
In general the idea is to force players into a new tactical approach and provide some sensible storyline continuity. Hopefully the late game drop off in difficulty can be bent a bit to keep things interesting. 


## Economy ##
------
	1. Need to rebalance elerium to be very rare, but purchasable with 30 day window of delivery.
## UFOs ##
------
	1. Change Layouts and contents
	2. Create teleporter/communication type unit. Max speed. Maybe no walls or use human building for layout. No elerium. Infiltrators / cultists mostly.
## Maps ##
------
	1. Change UFO content items
        2. Hospital?
        3. Map item for quantum entagled typewriter :) ? - research item - storyline point
        4. Map item for sympathizer computer - research item - storyline point
## Units - In Order of Appearance##
------
### Sleepers ###
* Priest - Human psychic.  - Sprite
* Sympathizer Soldier - Alien equiped human, Possibly Augmented
* Sympathizer - Alien equiped human - Sprite
* Infiltrator Terrorist - Spawns Jarhead Terrorist on Death
* Will-o-wisp - Fixed Weapon Stun Bombs - Limited Range - Flying
### Mechanoids ###
* Jarhead Soldier - Explodes on Death
* Jarhead Terrorist - Fixed Weapon Railgun - Explodes on Death
* Infiltrator Terrorist - Spawns Jarhead Terrorist on Death
* Mechtoid HWP - Plasma Blasters
### Fungoids ###
* Fungoid Soldier - RESKIN
* Puffer - Fixed Ranged Weapon Zombie Attack - Beta Zombie - Balance Unit
* Beta Zombie - Fixed Melee Weapon Zombie Attack - Beta Zombie - RESKIN? - Balance Unit
### Chimeras ###
* Drone - Psychic, Flying - Sprite
* Minotaur - Sprite
* Siphonophore - Flying, Stun melee - Terror Unit ⁃ Sprite
### Cult of Cydonia ###
* Cult Leader  - Sprite - Multi Form
* High Priest - Human psychic.  - Sprite
* Ethereal Cultist  - Sprite

## Deployments ##
------
* Need to fix tier 1 deployments to be mostly stolen x-com / military equipment. Also need to figure out how to limit alien waves so Infiltrators are the first wave. Could human cultists be a part of first—
 wave?
## Item Ideas ##
------
	1.	Flak Vest
	2.	Shotgun
	3.	Assault Rife ⁃Alien Alloy Rounds boosts damage to laser weapon range*
	4.	Pistol ⁃Alien Alloy Rounds carried by Infiltrators makes these beter than standard rifle rounds in damage*
	5.	Sniper Rifle ⁃Alien Alloy Rounds boosts to plasma range
	6.	X-Com Tactical Armor
	7.	X-Com Tactical Rifle System - needs testing	⁃Alloy rounds*	⁃High Energy Mortar Round
	8.	Railgun Rifle* - comparable to sniper. ⁃Sprite
	9.	Heavy Railgun* - Capable of auto fire ⁃ Sprite
	10.	Superheavy Railgun* - HWP / Craft weapon ⁃ Sprite
	11.	Inferno Grenade - needs testing
	12.	Storm Gun - Stun
	⁃	Sprite
	13.	Spitter - Acid based - no clips - good accuracy*
	14.	Spine Gun - shotgun low damage, high rate of fire. infintite clip*
	⁃	Sprite
	15.	Spore Smoke*
	16.	~~Scurrier - Small organic grenade with waypoints~~ won't work currently 
	17.	Proximity Grenade Launcher  - needs testing* ⁃ Sprite
	18.	MICRO Blaster Launcher* ⁃ Sprite
	19.	JAEGER HWP
        20.     Camera Drone?
	* Alien tech
## Item Levels For Deployment##
------
* Pistol w/ Alloy Ammo
* Inferno Grenade
* Rifle w/ Alloy Ammo
* Satchel Charge
* TBD - Railgun Rifle?
* Spitter
* Spore Smoke
* Spinegun w/ Sac
* Spore Stun
* Spore Proximity
* Hybrid Plasma
* TBD - Blaster Launcher Replacement
## UFOPedia ##
------
* Fungoids synthesizing an ion of Elerium 115 with specialized biological structures. (115-1?)
## Research ##
------
*Probably need to combine with TODO.md*
* Alloy Rounds - Use but not manufacture
* Sympathizer Interrogation
* Sympathizer Autopsy - reveals no augmentation, chemicals, parasites, etc. Apparently just a believer in the promises/tech of the aliens.
* Will-O-Wisp Autopsy
     * Directed Electrical Disruption Weapon
     * Low Power Anti-Gravity Concepts
* Jarhead Autopsy
     * Alien Alloy Metalurgy
     * Alien Alloy Manufacturing - Allows manufacture of Alloy Rounds
     * Self Assembling Machines
     * Railguns
     * Power Source
* Mechtoid Autopsy
     * Advanced Cybernetics
     * Fusion Core
* Interrogate Infiltrator
* Interrogate Jarhead
* Fungoid Medic Interrogation
     * Biological markers? Would enable use of alien organic weapons. Might want to instead follow XCOM:EU model where derivative weapons are created instead.
* Spinegun
     * Organic Crystalline Structures
     * Lichenoid Energy Structures 
* Sympathizer Computer
* Quantum Entangled Typewriter
## Crafts ##
------
* Alloy Fighter
## Base ##
------
* Quantum Particle Interceptor - Works as hyperwave decoder?

# GRAPHICS #
------
## NEEDS ##
------
### Units ###
1. Drone Sprite - Concept Art Done
2. ~~Puffer Sprite~~ - Draft 1 Done
3. Minotaur Sprite
4. Priest Sprite
5. ~~Sympathizer Upgrade Sprite~~ Draft 1 Done
6. Ethereal Leader Sprite Set
7. Ethereal Cultist Sprite
### Items ###
1. Inferno Grenade Sprite
2. Railgun Sprites
3. Spitter Sprite
4. ~~Satchel Charge Sprite~~ Reused from Piratez.
5. Compact Blaster Launcher - Smaller version built with human adapted tech. smaller blast, less power, tactically easier to use.
6. Storm Gun sprites
### Bullet Sprites ###
1. Depleted Elerium Round
2. Alloy Round
3. Railgun Variations
4. Spinegun Crystals
5. Spitter Spray
6. OOOOOO Ray. I don't know what for, but I think it will look cool.
7. ~~Stormgun Bolts~~ - Done
### Research ###
   TBD
## WANTS ##
------
1. Jaeger MK 2 - Thinner, flying, more anime style.
2. Redrawn Civ sets that support Drawing Routine 10.
3. Redrawn Fungoid Soldier that's not just a muton pallet swap. I do want it to look derivative since they are based on mutons. 