# TODO #
## GENERAL ##
* Write up thanks/credits. Warboy, XOPS, Etc.
* Rebalance Economy
* How to set final mission completion requirements / final message screen or movie
* fix damage spreadsheet to include critical vs normal.
* Decide on weakness damage multiplier constant. Too variabe right now. 1.5 seems better than 1.6.
* Explain retcon of portable lasers with infinite ammo
* Consider TU Penalty for all armors that don't provide boosts. Alloy might be exempt.
## MILESTONES ##
* ~~Finish all Unit Sprites~~ ALL DRAFT 1 DONE.
.* ~~FINAL BOSS 1,2,3~~ Sprite and basic implementation Done
.* ~~HALLUCINOID/SIPHONOPHORE~~ placeholder or draft 1 done.
.* ~~DRONE~~
.* ~~JAEGER MK II~~
.* ~~HPA ARMOR~~ draft 1 done. needs some extra TLC.
.* ~~XCOM anti-grav armor~~ draft 1 done. Not perfect but good enough for now. 
* Finish all BIGOBS
* Finish all HANDOBS
* Finish all FLOOROBS
* Inventory Screens. Placeholders Created. 
* Sound Design
* Finish all Alien Races Rules
* Finish all equipment Rules
* Finish all XCom equip sprites
* Finish Research Tree
* Finish UFOPEDIA entires
## PRE-ALPHA RELEASE 1 - CHECKLIST ##
* ~~All Alien Sets working~~
* ~~Basic Strings done~~
* ~~Disable All Uneeded Items, Aliens, (Research?)~~
* ~~Remove 10 credit purchases for items that should be researched~~
* ~~Combine Rulesets/Sprites where needed. Looks like Handob doesn't cross boundaries, but you can reference a unit in another rulefile and the unit will come over with it's bulletsprites.~~
## UNITS ##
------
### XCOM ###
* ~~JAEGER MK II Sprite and Rul~~
* ~~Armor Sprites~~ Draft 1 of all Armors finished. HPA, and Organic could use some tweaking. 
### Sleepers ###
* ~~Sympathizer Sprite / Reskin Civ M and Update Civ M~~ Draft 1 Done. check arm alignment.
* ~~Sympathizer Upgrade Sprite~~ Draft 1 Done
* ~~Priest Sprite~~ Draft 1 Done
* Balance stats / deployments
### Mechanoids ###
* ~~Mechtoid Sprite~~ Draft 1 Done - Confirm stand and kneel height for taller sprite handob align
* Balance stats / deployments - make sure that explosives aren't effective at tier 0 to complicate capture? 
### Fungoids ###
* Improved Fungoid Sprite - Better, should tweak more
* ~~Puffer Sprite~~ Draft 1 done
* Balance stats / deployments
* Zombie Reskin to match new CIV M. Consider Explosive death i.e. the flood?
### Chimeras ###
* ~~Minotaur Sprite (Reuse cow from abduction?)~~ 
* ~~Siphonophore Sprite~~ Placeholder pallet swap from TFTD used. 
* ~~Siphonophore Rul~~
* ~~Drone Sprite~~ Draft 1 done
* Balance stats / deployments
### Cult of Cydonia ###
* High Priest Rul
* High Priest Sprite / Reskin of Priest?
* Ethreal Cultist Rul
* ~~Ethreal Cultist Reskin - Possibly 2x2 with force shield and with TFTD sprite to use constant animation.~~ Draft 1 Done
* Ethreal Form 1 Rul - Final Leader
* Ethreal Form 2 Rul - Final Leader 2 - Psychic boost. Built in ranged weapon. AP
* Ethreal Form 3 Rul - Transcendence - No weapon but all psychic and lots of TU?
* ~~Ethreal Form 1 Sprite~~
* ~~Ethreal Form 2 Sprite~~
* ~~Ethreal Form 3 Sprite~~
## ITEMS ##
------
ARMORS
* MARSEC ARMORS 1,2,3 - weaker commercial versions of original xcom versions
* EXOTIC ALLOY ARMOR - Pretty much standard version of original personal armor. 
* ORGANIC ARMOR - various stat/health boosts - bonus vs acid
* PSI-STATIC ARMOR - Better armor than Anti Grav, -100 Skill +100 power - Modify Personal Armor torso to match EU source art. Glowing Chakras. Full Helmet.
* ANTI GRAV ARMOR - Good all around armor similar to original flying suit - Mod TFTD ion Suit w/ flying suit - small TU boost to represent flight.
* HEAVY POWER ARMOR - Lots of armor and Stength Boost, negative TU, intended to be used to carry superheavy weapons like Railgun, Disruptor - Totally Custom Sprite? Combine Muton / TFTD helmet add segments to joints?
### BIGOB ###
* COMPACT BLASTER
* SPITTER
* SPORE VARIANTS
* ALIEN CORPSES
### HANDOB ###
* TAC RIFLE
* HEAVY RAILGUN
* SPITTER
* SPINEGUN
* SATCHEL CHARGE
* HYBRID PLASMA
* STORMGUN
* HEAVY RAILGUN
### FLOOROB ###
* TAC RIFLE
* HEAVY RAILGUN
* SPITTER
* SPINEGUN
* SPORES
* SATCHEL CHARGE
* ALIEN CORPSES
* JAEGER CORPSE
### BULLETS ###
* COMPACT BLASTER
## VEHICLES ##
------
* Add a low end / mid range option. Alloy Fighter.
* Craft with Better HWP Storage / Exits.
## DEPLOYMENTS ##
------
* Balance equipment levels for deployments
## RESEARCH ##
------
* Develop ideal order - Compare to original and work backwards
* Price out research hours
* Some items researchable but don't produce direct usability. Mostly Organics.

Base Items
Accuracy Upgrade for Rifle, Pistol
Laser Cannon (Craft based so runs on engine power)


### Corpses ###
* Sympathizer: Nothing - flavor text 
* Sympathizer Upgrade - Flavor text
..- Pain Killer Dispenser 1x1
* Priest: Nothing - flavor text "We prepare the way for the masters"
* Will O Wisp
..- Stun Technology
..- Advanced Batteries
...- Storm Gun
...- Railgun
...- Portable Laser System
....- Power+ Battery
....- Storage+ Battery
   

* Jarhead
..- Cybernetics
..- Railguns
...- Heavy Railgun
....-Superheavy Railgun
..- Alien Alloys
...- Alloy Construction
....- Alloy Fighter
....- Alloy Carrier / Lightning
....- Alloy Ammunition
....- Alloy Armor
....- Tac Rifle
.....- D.E. Ammo

* Mechtoid 
..- Advanced Engineering Concepts
...- Portable Fusion Power Source
...- Advanced Cybernetics
....- Jaeger MK I - Requires Elerium-115-1, Hybrid Power Structures, Alloy Construction 
....- Titan Armor - Requires Elerium-115-1, Hybrid Power Structures, Alloy Construction 
* Fungoid
..- Alternative Materials
...- Organic Armor
* Puffer  - Flavor Text
..- Healing Spray 1x1
* Beta Zombie - Flavor Text
..- Healing Spray 1x1
* Minotaur - Flavor Text
..- Improved Stimpack 1x1
* Siphonophore: Nothing - Flavor Text

* Drone
..- Anti-Gravity Concepts
...- Archangel Armor - Requires Elerium-115-1, Hybrid Power Structures, Alloy Construction, Alien Flight Control
* ~~High Priest~~ Only encountered at end, so no research possible
* ~~Ethreal Cultist~~ Only encountered at end, so no research possible
* ~~Ethreal Leader~~ Only encountered at end, so no research possible
### Map Based Items ###
* Organic Crystalline Structures (Power Source Production)
..- UFO Hybrid Power Source
...- Hybrid Power Structures
....- Stormgun Hybrid Battery
....- Hybrid Power Source

* UFO Navigation
..- Alien Computers
...- Alien Flight Control
....- Archangel Armor - Requires Elerium-115-1, Hybrid Power Structures, Alloy Construction
....- Jaeger MK II - Requires Elerium-115-1, Hybrid Power Structures, Alloy Construction
....- UFO Construction
.....- Advanced Interceptor / Firestorm
.....- Jaeger Carrier / Ultimate Craft
 
* Quantum Typewriter
..- Hyperwave Decoder
* Sympathizer Laptop
 - get one free?
### Interrogations ###
* Infiltrator - confirm you can capture?
* Sympathizer
* Sympathizer Upgrade
* Priest
* Jarhead
* Fungoid
* Fungoid Medic
..- Biological Markers Key
* Minotaur
* High Priest
* Ethreal Cultist
### Items ###
* Elerium-115-1
..- New Isotope
...- D.E. Ammo
...- TAC Rifle Mortar
* Alloy Rounds: Flavor Text, can use but not manufacture until Alloy Construction is researched
* Inferno Grenade: Manufacture (Can Already Use)
* Satchel Charge: Manufacture (Can Already Use)
* Spinegun - Bio Markers Lock
* Spinegun Sac
* Spitter: ultimate armor?
* Hybrid Plasma
* Compact Blaster Launcher
* Spore Smoke > Cannot Manufacture, can use after Biological Markers are researched
* Spore Prox > Cannot Manufacture, can use after Biological Markers are researched
### StoryLine Events ###
* Alien Origins
Requires
Fungoid, Puffer, Jarhead, or Minotaur

* Martian Solution
Requires
Leader, Priest Interrogation

* Cydonia or Bust
Requires
Drone Corpse, Biological Markers Key, Sympathizer Laptop


## MANUFACTURE ##
------
* TIME / Price / Requirements for all new equipment
* Jaeger requires a soldier corpse. Possibly a Mechtoid Corpse.
## UFOPEDIA ##
------
* Identify necessary entries
* Write Entries for all items
* Start a google doc
## UFO TRAJECTORIES ##
------
* Come up with sleeper trajectories
## ALIEN MISSIONS ##
------
* Figure out which missions go with which aliens
## WAVES ##
------
~~* Decide on how to parcel out Waves to ensure Sleepers are the first engangement that then slides into mechtoids.~~ Working Prototype
## ECONOMY ##
------
* Establish costs of all alien tech / corpses. Negative costs on some equipment for disposal? Spores, Zombies, Puffers.
* Reprice Elerium 50-150,000 per unit range until testing takes place
## QUESTIONS ##
------
what's the maximum agression level? Indicated by WarBoy that increasing the value past vanilla may yield even more aggressive melee units.
## IDEAS ##
------
~~* Rewrite all plasma weapons to use a new elerium item, change strings for elereium to the ion so default behavior will still hold, but old tech can be used by purchasing the Cydonian Elerium item.~~ Done
~~* Tweak some equipment based on economic realities. Note historical weapons that are removed. Heavy plasmas not used. flying armor available, but is the MarSec version with lighter armor and smaller elerium cost.~~ Done
* Old x-com members became board for MARSEC.
* Isotope Refinement
* Final mission map, make brain tiles invulnerable so eliminating all aliens is necessary?
## BALANCE ##
------
* Aiming for a sort of rock, paper, scissors balance of units, tactics, and damage types, where the rules change as the game progresses.
* Feels like an xcom mid level weapon is missing in current set. Boost DE round damage? hybrid laser or plasma weapon?
* Final Weapon - Disruptor? Could have acid damage type. High output.
* Plasma and Lasers Devalued by Alien Armor resistances
* MARSEC and standard Armor devalued by Acid Vulnerability exploited by organic weapons
* Research energy resistant armors at level 2.
* Acid resistance can be researched at level 3 or 4 tech. 
* Improved AP and explosive weapons countered by higher health / conventional armor
* Sleepers - Standard weapons should work well enough - Conventional Arms
* Mechanoids - Plasma devalued. Lasers, explosives and AP are x1 damage. Stun Bonus - Railguns - Conventional Arms
* Fungoids - Explosives, Lasers and Plasma Devalued. AP x 1. Stun and Incindiary Bonus. Spitters/Spineguns
* Chimeras - Conventionally tough. Good armor and health. AP and HE resistant. Lasers and Plasma x 1. Hybrid Plasma Weapons. Compact Blaster Launcher.
* Cult - TBD. Final Mission only. Leader is multiform with shifting resistances/Health. High Priest should be Equivilant to Classic Flying Armor. Ethreal Cultists should be slightly tougher than Classic Ethreal Leader. Ethreal Cultists could be 2x2 units with energy shield, built in weapon. Functionally similar to Mechtoid with different stats.

## CREDITS ##
Gauss Weapon Graphics
Alt. Railgun Version
Satchel Charge
Moriarty Power Armor
Shotgun
Sniper Rifle
Anthropod Alien
GNUMBLR - Form 3 Base animation Gif
Shadics Pers Armor Recolor